summaryrefslogtreecommitdiff
path: root/ci/build_linux.sh
diff options
context:
space:
mode:
authorPierre GRANDIN <pgrandin@users.noreply.github.com>2017-09-05 10:07:06 -0700
committerGitHub <noreply@github.com>2017-09-05 10:07:06 -0700
commit063e2c7ebdc1771de1bc7da7012ab2e2d6041540 (patch)
treefcd14f3262846b67d7c70aca8d2f1debb8dfd669 /ci/build_linux.sh
parent4c89accc118cfc5b6dfe4f8913d2d8c3dc189b99 (diff)
downloadnavit-063e2c7ebdc1771de1bc7da7012ab2e2d6041540.tar.gz
Upgrade to CircleCI v2 (#310)
* Switching to circleci v2 * Only build for Linux for now * Sudo is not required anymore * Update before installing packages * Cope with non interactive terminals * Use ci's working_directory * Fixed typo * Disable QT5 for now * Build for more platforms * Fixed workflow definition * sudo is not required anymore * Update before installing * Install wget when building for tomtom * Revert to 14.04 base image * Install unzip for build_tomtom_* * Install wget for build_android_* * Install wget for build_android_* * Install cmake for win32 build * Install gettext for the win32 build * Install build-essential for tomtom builds * Setup common requirements * Install packages to build tt environment install packages need to build tt environment correct navit path remove arm-genmarshal which disturbing a second build run * Splitting the tomtom builds into more steps * Splitting the tomtom builds into more steps * Working on the tomtom minimal build * Fixed some paths issues for tomtom_minimal * Added missing exports for tomtom_minimal * Added missing tomtom requirements * Save the result of the tomtom_minimal build * Fixing the tomtom plugin build for CI v2 * Fixed job name misconfiguration * Use less relative paths * Fixed espeakdsp.c path * Adding tomtom assets * Removed superfluous popd * Fixed contrib path * Adding tomtom assets * Compile espeakdsp directly to the correct path * Compile espeakdsp directly to the correct path * Compile espeakdsp directly to the correct path * Recursively copy contrib/tomtom assets * Fixed tomtom specific icons path * Preparing the android ARM build for CI v2 * Adapting build path * Added missing packages for android builds * Updating android x86 scripts for ci v2 * Android-25 will require jdk-8 * Install openjdk-8 for Ubuntu 14.04 * Ensures that add-apt is available for android builds * Cope with non interactive terminals * Ensures that openjdk-7 isn't installed * Updated artifacts for ci v2 / android arm * Fixed apk path for ci_v2 * Fixed leftovers path for ci_v2 * Fixed artifacts path for android arm * Fixed typos * Fixed toolchain misconfiguration * Specify android's api/nkd api versions * Fixed apk path for ci_v2 * Store android/x86 artifacts
Diffstat (limited to 'ci/build_linux.sh')
-rw-r--r--ci/build_linux.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/ci/build_linux.sh b/ci/build_linux.sh
index ff5550e65..061ebd019 100644
--- a/ci/build_linux.sh
+++ b/ci/build_linux.sh
@@ -1,4 +1,6 @@
-sudo apt-get install cmake libpng12-dev librsvg2-bin libfreetype6-dev libdbus-glib-1-dev g++ libgtk2.0-dev libqt5svg5-dev qtdeclarative5-qtquick2-plugin qtdeclarative5-window-plugin qtmultimedia5-dev
+set -e
+
+apt-get install -y libpng12-dev librsvg2-bin libfreetype6-dev libdbus-glib-1-dev libgtk2.0-dev
cmake_opts="-Dgraphics/qt_qpainter:BOOL=FALSE -Dgui/qml:BOOL=FALSE -DSVG2PNG:BOOL=FALSE -DSAMPLE_MAP=n -Dgraphics/gtk_drawing_area:BOOL=TRUE"
@@ -26,15 +28,11 @@ if [[ "${CIRCLE_PROJECT_USERNAME}" == "navit-gps" && "${CIRCLE_BRANCH}" == "trun
curl "https://translations.launchpad.net/navit/${CIRCLE_BRANCH}/+translations-upload" -H "$lp_cookie" -H "Referer: https://translations.launchpad.net/navit/${CIRCLE_BRANCH}/+translations-upload" -F file=@po/navit.pot | grep title
else
- mkdir ~/linux-bin && cd ~/linux-bin
- cmake ~/${CIRCLE_PROJECT_REPONAME}/ ${cmake_opts} || exit -1
+ mkdir ${CIRCLE_WORKING_DIRECTORY}/linux-bin && cd ${CIRCLE_WORKING_DIRECTORY}/linux-bin
+ cmake ${CIRCLE_WORKING_DIRECTORY}/ ${cmake_opts} || exit -1
make -j $(nproc --all) || exit -1
fi
if [[ "$CIRCLE_ARTIFACTS" != "" ]]; then
cp -r navit/icons $CIRCLE_ARTIFACTS
fi
-
-
-# Done with the builds tests. Running some app tests
-bash ~/navit/ci/run_linux_tests.sh